GIMP 2.10.x AppImage packages

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

GIMP 2.10.x AppImage packages

Developers mailing list
Dear all,

recently I have done additional work on the GIMP AppImage packages, trying to improve the compatibility with various linux distributions and improving the building/packaging scripts.

In a nutshell:
* I have moved the build environment to CentOS 7, which is based on glibc 2.17
* the whole appimage creation process now runs through a single bash script that can be executed inside a docker container. This means that the automated integration, now based on Travis CI, can be easily moved to any other system that supports Docker
* the appimage packages are now built in two flavours: one “bare” package that only provides GIMP, and a “full-featured” package that also contains few popular and useful plug-ins (including G’MIC-Qt)

The 2.10.7 packages are available for download from here: https://github.com/aferrero2707/gimp-appimage/releases/tag/continuous <https://github.com/aferrero2707/gimp-appimage/releases/tag/continuous>

Running the AppImages is very simple:
* download the package
* make it executable via
        chmod u+x
* run the package as any other Linux executable


A note to the developers: the current 2.10.x branch requires a quite recent version of Glib, but only due to the use of a single function in app/gui/splash.c, and only for diagnostics purposes.
To circumvent the problem and be able to use the older Glib version available on CentOS 7, I am applying the following patch: https://github.com/aferrero2707/gimp-appimage/blob/master/gimp-glib-splash.patch <https://github.com/aferrero2707/gimp-appimage/blob/master/gimp-glib-splash.patch>
Is that OK?


As mentioned above, the automated build procedure is currently based on GitHub/TravisCI.
However, I am ready to move the scripts to some other CI system if you prefer…


Cheers,
Andrea
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GIMP 2.10.x AppImage packages

Developers mailing list
On Mon, 10 Sep 2018 11:59:26 +0200
Carmelo DrRaw via gimp-developer-list <[hidden email]>
wrote:

> Dear all,
>
> recently I have done additional work on the GIMP AppImage packages,
> trying to improve the compatibility with various linux distributions
> and improving the building/packaging scripts.
>
> In a nutshell:
> * I have moved the build environment to CentOS 7, which is based on
> glibc 2.17
> * the whole appimage creation process now runs through a single bash
> script that can be executed inside a docker container. This means
> that the automated integration, now based on Travis CI, can be easily
> moved to any other system that supports Docker
> * the appimage packages are now built in two flavours: one “bare”
> package that only provides GIMP, and a “full-featured” package that
> also contains few popular and useful plug-ins (including G’MIC-Qt)
>
> The 2.10.7 packages are available for download from here:
> https://github.com/aferrero2707/gimp-appimage/releases/tag/continuous
> <https://github.com/aferrero2707/gimp-appimage/releases/tag/continuous>
>
> Running the AppImages is very simple:
> * download the package
> * make it executable via
> chmod u+x
> * run the package as any other Linux executable

Thanks for doing all this.  Having the latest-and-greatest code
easily available as an AppImage is really awesome :)

> A note to the developers: the current 2.10.x branch requires a quite
> recent version of Glib, but only due to the use of a single function
> in app/gui/splash.c, and only for diagnostics purposes. To circumvent
> the problem and be able to use the older Glib version available on
> CentOS 7, I am applying the following patch:
> https://github.com/aferrero2707/gimp-appimage/blob/master/gimp-glib-splash.patch
> <https://github.com/aferrero2707/gimp-appimage/blob/master/gimp-glib-splash.patch>
> Is that OK?

This has already been fixed in the gimp-2-10 branch (master requires a
newer GLib version).  See commit
499a8962b326823bdf12936960798f802c79f283.

--
Ell
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GIMP 2.10.x AppImage packages

Developers mailing list
Hi!

> On 10 Sep 2018, at 18:28, Ell <[hidden email]> wrote:
>
>
>> A note to the developers: the current 2.10.x branch requires a quite
>> recent version of Glib, but only due to the use of a single function
>> in app/gui/splash.c, and only for diagnostics purposes. To circumvent
>> the problem and be able to use the older Glib version available on
>> CentOS 7, I am applying the following patch:
>> https://github.com/aferrero2707/gimp-appimage/blob/master/gimp-glib-splash.patch
>> <https://github.com/aferrero2707/gimp-appimage/blob/master/gimp-glib-splash.patch>
>> Is that OK?
>
> This has already been fixed in the gimp-2-10 branch (master requires a
> newer GLib version).  See commit
> 499a8962b326823bdf12936960798f802c79f283.
>

Excellent! The new Glib requirement is one of the reasons preventing me to provide an AppImage for the master branch… I need to go through the compilation of Glib from sources, and see if there are no showstoppers on CentOS 7.


> --
> Ell

_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GIMP 2.10.x AppImage packages

Developers mailing list
Hi!

On Mon, Sep 10, 2018 at 7:03 PM Carmelo DrRaw via gimp-developer-list <
[hidden email]> wrote:

> Hi!
>
> > On 10 Sep 2018, at 18:28, Ell <[hidden email]> wrote:
> >
> >
> >> A note to the developers: the current 2.10.x branch requires a quite
> >> recent version of Glib, but only due to the use of a single function
> >> in app/gui/splash.c, and only for diagnostics purposes. To circumvent
> >> the problem and be able to use the older Glib version available on
> >> CentOS 7, I am applying the following patch:
> >>
> https://github.com/aferrero2707/gimp-appimage/blob/master/gimp-glib-splash.patch
> >> <
> https://github.com/aferrero2707/gimp-appimage/blob/master/gimp-glib-splash.patch
> >
> >> Is that OK?
> >
> > This has already been fixed in the gimp-2-10 branch (master requires a
> > newer GLib version).  See commit
> > 499a8962b326823bdf12936960798f802c79f283.
> >
>
> Excellent! The new Glib requirement is one of the reasons preventing me to
> provide an AppImage for the master branch… I need to go through the
> compilation of Glib from sources, and see if there are no showstoppers on
> CentOS 7.
>

Also at some point, we should resume discussing making your package
upstream. It's hard to make time to discuss this, but this is probably
needed. Moreover lately the maintainer of the Snap package approached us to
make it upstream as well. So I thought this is the opportunity to discuss
about AppImage as well.

Jehan


> > --
> > Ell
>
> _______________________________________________
> gimp-developer-list mailing list
> List address:    [hidden email]
> List membership:
> https://mail.gnome.org/mailman/listinfo/gimp-developer-list
> List archives:   https://mail.gnome.org/archives/gimp-developer-list
>


--
ZeMarmot open animation film
http://film.zemarmot.net
Liberapay: https://liberapay.com/ZeMarmot/
Patreon: https://patreon.com/zemarmot
Tipeee: https://www.tipeee.com/zemarmot
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GIMP 2.10.x AppImage packages

Developers mailing list
Hi Jehan,

> On 16 Sep 2018, at 21:55, Jehan Pagès <[hidden email]> wrote:
>
> Hi!
>
>
>
>
> Also at some point, we should resume discussing making your package upstream. It's hard to make time to discuss this, but this is probably needed. Moreover lately the maintainer of the Snap package approached us to make it upstream as well. So I thought this is the opportunity to discuss about AppImage as well.

Would it be ok to continue the discussion in the corresponding GitHub issue?
https://github.com/aferrero2707/gimp-appimage/issues/9 <https://github.com/aferrero2707/gimp-appimage/issues/9>

Andrea
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list
Reply | Threaded
Open this post in threaded view
|

Re: GIMP 2.10.x AppImage packages

Developers mailing list
On Mon, Sep 17, 2018 at 8:54 AM Carmelo DrRaw <[hidden email]>
wrote:

> Hi Jehan,
>
> On 16 Sep 2018, at 21:55, Jehan Pagès <[hidden email]> wrote:
>
> Hi!
>
>
>>
>>
> Also at some point, we should resume discussing making your package
> upstream. It's hard to make time to discuss this, but this is probably
> needed. Moreover lately the maintainer of the Snap package approached us to
> make it upstream as well. So I thought this is the opportunity to discuss
> about AppImage as well.
>
>
> Would it be ok to continue the discussion in the corresponding GitHub
> issue?
> https://github.com/aferrero2707/gimp-appimage/issues/9
>

Of course. I wrote a comment there actually immediately after my previous
email. ;-)

Jehan


> Andrea
>
>
> Jehan
>
>
>> > --
>> > Ell
>>
>> _______________________________________________
>> gimp-developer-list mailing list
>> List address:    [hidden email]
>> List membership:
>> https://mail.gnome.org/mailman/listinfo/gimp-developer-list
>> List archives:   https://mail.gnome.org/archives/gimp-developer-list
>>
>
>
> --
> ZeMarmot open animation film
> http://film.zemarmot.net
> Liberapay: https://liberapay.com/ZeMarmot/
> Patreon: https://patreon.com/zemarmot
> Tipeee: https://www.tipeee.com/zemarmot
>
>
>

--
ZeMarmot open animation film
http://film.zemarmot.net
Liberapay: https://liberapay.com/ZeMarmot/
Patreon: https://patreon.com/zemarmot
Tipeee: https://www.tipeee.com/zemarmot
_______________________________________________
gimp-developer-list mailing list
List address:    [hidden email]
List membership: https://mail.gnome.org/mailman/listinfo/gimp-developer-list
List archives:   https://mail.gnome.org/archives/gimp-developer-list